using System;
using System.Collections.Generic;
using System.Data.SQLite;
using System.Linq;
using System.Text;

namespace RmSplit
{
 
    [SQLiteFunction(FuncType=FunctionType.Collation, Name="RMNOCASE")]
    public class RmNocase : SQLiteFunction
    {
        public override int Compare(string param1, string param2)
        {
            return String.Compare(param1, param2, StringComparison.InvariantCultureIgnoreCase);
        }
    }
}
